Package com.databricks.jdbc.core

## Class DatabricksSQLClientInfoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLClientInfoException
        - - com.databricks.jdbc.core.DatabricksSQLClientInfoException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class DatabricksSQLClientInfoException
    extends SQLClientInfoException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabricksSQLClientInfoException​(String message, Map<String,​ClientInfoStatus> failedProperties)`

### Method Summary

### Methods inherited from class java.sql.SQLClientInfoException

`getFailedProperties`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DatabricksSQLClientInfoException

    public DatabricksSQLClientInfoException​(String message,
                                            Map<String,​ClientInfoStatus> failedProperties)